Download it now!
Bug 128213 - FILESAVE PPTX roundtrip with z-rotated text produces additional shape rotation
Summary: FILESAVE PPTX roundtrip with z-rotated text produces additional shape rotation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Gizem Özgün
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords: filter:pptx
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2019-10-17 12:54 UTC by Regina Henschel
Modified: 2020-11-23 09:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
VerticalByZrotation.pptx contains shape with z-rotation of the text (24.65 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-10-17 12:54 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-10-17 12:54:33 UTC
Created attachment 155087 [details]
VerticalByZrotation.pptx contains shape with z-rotation of the text

Open attached file and resave it immediately to pptx without any changes. Open the resulted file and the original file in PowerPoint and compare.
Error: The rectangle is rotated.

(The wrong text position is in bug 128216.)
Comment 1 Xisco Faulí 2019-10-17 14:43:29 UTC
Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 01d28b0b85f99590c0581e4bbf636bc9281e0571
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and MSO 2010
Comment 2 Commit Notification 2020-11-05 16:06:24 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9f3b85dc29326e779ccc6be3b649b7fb24571ee0

tdf#128213 Fix export rotation problem.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-11-18 09:37:20 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/72998fc859a83f063698c287d035f3fdc8b4481c

tdf#128213 Fix text camera z rotation import and export.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Gülşah Köse 2020-11-18 11:55:41 UTC
Unit test will be added later.
Comment 5 Xisco Faulí 2020-11-18 11:57:51 UTC
(In reply to Gülşah Köse from comment #4)
> Unit test will be added later.

nice, thanks a lot!
Comment 6 Commit Notification 2020-11-23 09:21:05 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/986f39e24901b8056ba365f81f76cb5139f8573f

tdf#128213 Fix text camera z rotation import and export.

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.